ChartDirector Ver 5.0 (PHP Edition)

BarLayer.setIconSize

Usage

setIconSize(height [, width ])

Description

Sets the size of the icon(s) to be used in legend box.
By default, if a legend box is available on the chart, ChartDirector will insert an legend entry for any named data sets in the legend box. The icons for the data sets will be the shape of the bars. The size of the icons will be determined using the key size settings of the legend box (see LegendBox.setKeySize).
This method can be used to override the legend box settings to specify a custom width/height for the icons of the current BarLayer.
If the icon size is set to 0, a square color box will be used as the icon without regarding the shape of the bar.

Arguments

Argument | Default | Description
--- | --- | ---
height | (Mandatory) | The height of the icon in pixels.
width | -1 | The width of the icon in pixels. -1 means the width is the same as the height.

Return Value

None

© 2009 Advanced Software Engineering Limited. All rights reserved.